#!/bin/bash

set -e

echo
echo "MP-M4726DN Scanner IP Setup Tool"
echo

read -p "Enter scanner ip address: " IP_ADDRESS

configdir=/etc/sane.d
product=$(grep "${IP_ADDRESS}" ${configdir}/hkm4726dn.conf || :)
if [ -z "${product}" ]; then
    echo "ip ${IP_ADDRESS} MP-M4726DN" >> ${configdir}/hkm4726dn.conf
    RETURN=$(echo $?)
    if [ $RETURN = 0 ]; then
    	echo
    	echo "========================"
	    echo
	    echo "Success."
	    echo
    	echo "========================"
	    echo
    else
	    echo
	    echo "========================"
	    echo
	    echo "Failure."
	    echo
	    echo "========================"
	    echo
    fi
else
	echo
   	echo "========================"
    echo
    echo "Success."
    echo
   	echo "========================"
    echo
fi

echo "Press [ ENTER ] to continue."

read key
